<?
/**
 * VoiceOne Webservices Declarations
 *   
 * @package voiceone_webservices
 * @subpackage Sounds
 */
// ---- sound ----------------------------------------------------
$server->wsdl->addComplexType(
    'sound',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',            'type'=>'xsd:int'),
        'name'        => array('name'=>'name',          'type'=>'xsd:string'),
        'category'    => array('name'=>'category',      'type'=>'xsd:string'),  
        'language'    => array('name'=>'language',      'type'=>'xsd:string'),
        'filepath'    => array('name'=>'filepath',      'type'=>'xsd:string'),
        'present'     => array('name'=>'present',       'type'=>'xsd:int'),
        'text'        => array('name'=>'text',          'type'=>'xsd:string'),
        'lastmodified'=> array('name'=>'lastmodified',  'type'=>'xsd:string')
    )
);
// ---- sound[] --------------------------------------------------
$server->wsdl->addComplexType(
    'soundArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:sound[]')
    ),
    'tns:sound'
);
// ---- soundsFile ----------------------------------------------------
$server->wsdl->addComplexType(
    'soundsFile',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',            'type'=>'xsd:int'),
        'name'        => array('name'=>'name',          'type'=>'xsd:string'),
        'cat_id'      => array('name'=>'cat_id',        'type'=>'xsd:int'),
        'cat_tag'     => array('name'=>'cat_tag',       'type'=>'xsd:string'),
        'category'    => array('name'=>'category',      'type'=>'xsd:string'),
        'filepath'    => array('name'=>'filepath',      'type'=>'xsd:string'),
        'text'        => array('name'=>'text',          'type'=>'xsd:string'),
        'lastmodified'=> array('name'=>'lastmodified',  'type'=>'xsd:string')
    )
);
// ---- soundsFile[] --------------------------------------------------
$server->wsdl->addComplexType(
    'soundsFileArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:soundsFile[]')
    ),
    'tns:soundsFile'
);
// ---- soundsCategories ----------------------------------------------------
$server->wsdl->addComplexType(
    'soundsCategories',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'id'          => array('name'=>'id',           'type'=>'xsd:int'),
        'tag'         => array('name'=>'tag',          'type'=>'xsd:string'),
        'description' => array('name'=>'description',  'type'=>'xsd:string') 
    )
);
// ---- soundsCategories[] --------------------------------------------------
$server->wsdl->addComplexType(
    'soundsCategoriesArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:soundsCategories[]')
    ),
    'tns:soundsCategories'
);
?>